libao4-32bit-1.2.0-lp150.1.11.x86_64.rpm


Advertisement

Description

libao4-32bit - A Cross-Platform Audio Output Library

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Oss all
Package name libao4-32bit
Package version 1.2.0
Package release lp150.1.11
Package architecture x86_64
Package type rpm
Installed size 34.21 KB
Download size 24.53 KB
Official Mirror widehat.opensuse.org
Libao is a cross-platform audio output library.

Alternatives

Package Version Architecture Repository
libao4-32bit - - -

Requires

Name Value
libc.so.6(GLIBC_2.4) -
libdl.so.2 -
libdl.so.2(GLIBC_2.0) -
libdl.so.2(GLIBC_2.1) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -

Provides

Name Value
libao-32bit = 1.1.0
libao.so.4 -
libao.so.4(LIBAO4_1.1.0) -
libao4-32bit = 1.2.0-lp150.1.11
libao4-32bit(x86-32) = 1.2.0-lp150.1.11

Obsoletes

Name Value
libao-32bit < 1.1.0

Download

Type URL
Binary Package libao4-32bit-1.2.0-lp150.1.11.x86_64.rpm
Source Package libao-1.2.0-lp150.1.11.src.rpm

Install Howto

Install libao4-32bit rpm package:

# zypper install libao4-32bit

Files

Path
/usr/lib/libao.so.4
/usr/lib/libao.so.4.1.0

Changelog

2014-05-15 - tchvatal@suse.com
- Version bump to 1.2.0:
- Added missing ao_file_extension() (see Trac #1841)
- Fixed memory leak in ao_shutdown() (see Trac #1799)
- Updated manpage libao.conf.5 (see Trac #1822)
- Corrected doc/ao_play.html (see Trac #1808)
- Latency adjustments
- Implement PulseAudio client_name (see Trac #1924)
- Other ALSA, Pulse, Roar, sndio and MacOS driver improvements
- Disable esd module, Gnome is not using that for ages and moved to
pulse anyway.
- Drop patch lib64.dif and replace it by simple sed that works
more straight-forward.
2013-04-11 - mmeister@suse.com
- Added url as source.
Please see http://en.opensuse.org/SourceUrls
2011-12-26 - crrodriguez@opensuse.org
- Use O_CLOEXEC in shared library
- Remove aRts plugin, which is dead since 2004.
- remove _service file
2011-05-12 - dmueller@suse.de
- fix missing obsoletes for 32bit baselibs package
2011-05-05 - dmueller@suse.de
- fix provides/obsoletes
2011-05-01 - toddrme2178@gmail.com
- Added 32bit compatibility libraries
2011-02-24 - reddwarf@opensuse.org
- update to version 1.1.0
* Add autofoo ld symbol versioning to build system
* Update Roar driver to latest API
* Fix Roar driver to not block on SLP lookup during probe
* Improve/correct latency setup in ALSA (see Trac #1762)
* Add missing ctype.h header in build (see Trac #1760)
* Move toward more consistent option naming across drivers
* Correct ao_example.c source to not pass dangling pointer for
the matrix argument.
* Add 24 bit playback to Pulse plugin
* Fix 24 bit playback in ALSA plugin
* Fix segfaults when closing a driver that did not successfully
open.
* Fix compilation of sndio plugin
- Remove ao-pulse-fixes.patch, libao-missing_headers.diff and
libao-alsa-fix.diff since were applied by upstream
- Remove libao-pulse Provides/Obsoletes from libao-plugins4
subpackage since the new pulse plugin isn't the same than the
old one.
2011-02-11 - remur@gmx.net
- Add ao-pulse-fixes.patch to fix https://trac.xiph.org/ticket/1689
libao not working correctly with pulse audio
2010-12-15 - vuntz@opensuse.org
- Add libao-pulse Provides/Obsoletes to libao-plugins4 subpackage
since it now provides the pulse plugin.
2010-12-11 - reddwarf@opensuse.org
- Fix License tag

See Also

Package Description
libapparmor-devel-2.12-lp150.5.1.x86_64.rpm Development headers and libraries for libapparmor
libapparmor1-2.12-lp150.5.1.x86_64.rpm Utility library for AppArmor
libapparmor1-32bit-2.12-lp150.5.1.x86_64.rpm Utility library for AppArmor
libappindicator-devel-12.10.1+bzr20170215-lp150.3.1.x86_64.rpm Development files for libappindicator
libappindicator1-12.10.1+bzr20170215-lp150.3.1.x86_64.rpm Application indicators library
libappindicator3-1-12.10.1+bzr20170215-lp150.3.1.x86_64.rpm Application indicators library for GTK+3
libappindicator3-devel-12.10.1+bzr20170215-lp150.3.1.x86_64.rpm Development files for libappindicator3
libappstream-builder8-0.7.7-lp150.1.2.x86_64.rpm AppStream Abstraction Library
libappstream-glib8-0.7.7-lp150.1.2.x86_64.rpm AppStream Abstraction Library
libappstream4-0.11.8-lp150.1.5.x86_64.rpm The main library for AppStream
libapr-util1-1.6.1-lp150.2.6.x86_64.rpm Apache Portable Runtime (APR) Utility Library
libapr-util1-dbd-mysql-1.6.1-lp150.2.6.x86_64.rpm DBD driver for MySQL
libapr-util1-dbd-pgsql-1.6.1-lp150.2.6.x86_64.rpm DBD driver for PostgreSQL
libapr-util1-dbd-sqlite3-1.6.1-lp150.2.6.x86_64.rpm DBD driver for SQLite 3
libapr1-1.6.3-lp150.1.1.x86_64.rpm Apache Portable Runtime (APR) Library
Advertisement
Advertisement